Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Sep 2024 17:11:18 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 26 Sep 2024 13:20:31 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Kangas <[email-masked]>
> >> Date: Wed, 25 Sep 2024 10:24:32 -0700
> >> Cc: [email-masked]
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > If you set the value of find-program to "gfind", I think you should be
> >> > able to add only /usr/pkg/bin to PATH, and that should not override
> >> > the original "find", "make", etc.
> >> 
> >> Would it be worth considering doing the same as we did for
> >> `insert-directory-program`, i.e. the below?  I'm not sure if this would
> >> be considered too opinionated for people that are very used to a BSD
> >> userland.
> >
> > I'm not sure.  find-program is used in many places, most of them
> > unrelated to alignment in "find ... -ls", so we are basically skewing
> > everything for a single not very frequent case.  Why not leave that to
> > users instead?
> >
> 
> Perhaps BSD userland package maintainers will roll in and configure the
> GNU Findutils option.  Maybe FAQ documentation to help the maintainer or
> BSD user is enough.  Dired mode hints when the ls command doesn't handle
> the dired switch option.  If the apropos-command could have a way to
> find the find-program variable that will help the end-user.  The
> describe-variable command will auto-complete "find" or "program" to
> "find-program", could describe-variable dump a listing like
> apropos-command?

I already added to the doc string of find-dired a recommendation to
install GNU Find and the reference to `find-program'.